Description

The current implementation of rsb-loggercl0.10 seems to have a problem with rsb.config entries:

/vol/toolkit/nightly/x86_64/last/bin/rsb-loggercl0.10 --help

results in:

Unhandled SIMPLE-ERROR in thread #<SB-THREAD:THREAD "main thread" RUNNING
                                    {1007CBB9B3}>:
  Syntax error in line 28, contents
  "[plugins.cpp]                                                                                                           ".

Backtrace for: #<SB-THREAD:THREAD "main thread" RUNNING {1007CBB9B3}>
0: ((LAMBDA NIL :IN SB-DEBUG::FUNCALL-WITH-DEBUG-IO-SYNTAX))
1: (SB-IMPL::CALL-WITH-SANE-IO-SYNTAX #<CLOSURE (LAMBDA NIL :IN
SB-DEBUG::FUNCALL-WITH-DEBUG-IO-SYNTAX) {100826273B}>)
2: (SB-IMPL::%WITH-STANDARD-IO-SYNTAX #<CLOSURE (LAMBDA NIL :IN
SB-DEBUG::FUNCALL-WITH-DEBUG-IO-SYNTAX) {100826270B}>)
3: (PRINT-BACKTRACE :STREAM #<SYNONYM-STREAM :SYMBOL SB-SYS:*STDERR* {10001EBFE3}> :START 0 :FROM
:INTERRUPTED-FRAME :COUNT NIL :PRINT-THREAD T :PRINT-FRAME-SOURCE NIL :METHOD-FRAME-STYLE NIL)
4: (SB-DEBUG::DEBUGGER-DISABLED-HOOK #<SIMPLE-ERROR "~@<Syntax error in line ~D, contents ~S.~@:>"
{100825F223}> #<unavailable argument>)
5: (SB-DEBUG::RUN-HOOK *INVOKE-DEBUGGER-HOOK* #<SIMPLE-ERROR "~@<Syntax error in line ~D, contents
~S.~@:>" {100825F223}>)
6: (INVOKE-DEBUGGER #<SIMPLE-ERROR "~@<Syntax error in line ~D, contents ~S.~@:>" {100825F223}>)
7: (ERROR "~@<Syntax error in line ~D, contents ~S.~@:>" 28 "[plugins.cpp]                                                                             
                             ")
8: (RSB:OPTIONS-FROM-STREAM #<SB-SYS:FD-STREAM for "file /home/flexirob/.config/rsb.conf" {1008256B33}>)
9: (RSB:OPTIONS-FROM-DEFAULT-SOURCES :CONFIG-FILES NIL)
10: (RSB.TOOLS.LOGGER:MAIN)
11: ((FLET #:WITHOUT-INTERRUPTS-BODY-54 :IN SAVE-LISP-AND-DIE))
12: ((LABELS SB-IMPL::RESTART-LISP :IN SAVE-LISP-AND-DIE))

unhandled condition in --disable-debugger mode, quitting

The rsb.conf looks like:

[rsc.logging]
#rsc.plugins.level = TRACE
#rsb.converter.level = DEBUG

[transport.spread]
enabled=1
host=localhost
port=4803
converter.cpp.".rst.dynamics.Pressures" = rst::dynamics::Pressures
converter.cpp.".rst.geometry.Lengths" = rst::geometry::Lengths
converter.cpp.".rst.signalprocessing.InstantaneousPhase" = rst::signalprocessing::InstantaneousPhase

[transport.socket]
enabled=0
converter.cpp.".rst.dynamics.Pressures" = rst::dynamics::Pressures
converter.cpp.".rst.geometry.Lengths" = rst::geometry::Lengths
converter.cpp.".rst.signalprocessing.InstantaneousPhase" = rst::signalprocessing::InstantaneousPhase

[transport.inprocess]
enabled=0
converter.cpp.".rst.dynamics.Pressures" = rst::dynamics::Pressures
converter.cpp.".rst.geometry.Lengths" = rst::geometry::Lengths
converter.cpp.".rst.signalprocessing.InstantaneousPhase" = rst::signalprocessing::InstantaneousPhase

[plugins.cpp]                                                                                                           
load = rsbspread:rsbrstconvertersrci:rsbrstconverterssandbox        

Or is there a anything wrong with our rsb.conf?

Associated revisions
Revision 57da7fd9 - 10/25/2013 01:52 AM - J. Moringen

Fixed whitespace handling in options-from-stream in src/configuration.lisp

fixes #1648

    -  src/configuration.lisp (options-from-stream): strip leading and
  trailing tabs and spaces from each line before processing it further;
  allow more than one "=" in a line, considering only the leftmost one

Revision dde6e1ad - 10/25/2013 05:04 PM - J. Moringen

Backport: Fixed whitespace handling in options-from-stream in src/configuration.lisp

refs #1648

    -  src/configuration.lisp (options-from-stream): strip leading and
  trailing tabs and spaces from each line before processing it further;
  allow more than one "=" in a line, considering only the leftmost one
History
#1 - 10/24/2013 08:08 PM - J. Moringen
- Category set to Common Lisp Tools

Probably a duplicate of #1483.

#2 - 10/24/2013 08:16 PM - J. Moringen

No, it's not a duplicate.

#3 - 10/24/2013 08:16 PM - J. Moringen
- Status changed from New to In Progress

#4 - 10/25/2013 04:17 AM - J. Moringen
- Status changed from In Progress to Resolved
- % Done changed from 0 to 100

Applied in changeset rsb-cl|commit:57da7fd917d757d7c635507b8d8b524879f306ff.
